Bug 652652 - Gnome-screensaver sometimes acts as a jail
Gnome-screensaver sometimes acts as a jail
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 08:06 EST by Skippy
Modified: 2012-08-16 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Skippy 2010-11-12 08:06:55 EST
Description of problem:
Sometimes when the computer is locked up by gnome-screensaver, the user is locked up himself : the screen is completely black but the mouse cursor, and no password prompt will pop up.  No obviously related message in logs.


Version-Release number of selected component (if applicable):
gnome-screensaver 2.30.2 2.fc14
xorg-x11-server-Xorg 1.9.1 2.fc14


How reproducible:
Randomly, after gnome-screensaver (default configuration) has been triggered.


Steps to Reproduce:
1. Log on Fedora 14.
2. Wait without moving.
3. Once gnome-screensaver has been launched, try to log in.
  

Actual results:
Randomly, no log in prompt will appear and the background stay blank (black).


Expected results:
A log in prompt should appear and the background change to the actual background.  (FWIW, I am using the default background.)


Additional info:
I am running dual screen (Dell Latitude E6410 laptop on its dock along with a 1280×1024 Dell screen).
Comment 1 Skippy 2010-12-13 07:58:08 EST
Note that obviously this is valid only if the screen is locked when the screensaver is active.

In addition, the previous post was made using the "blank screen" screensaver : using another screensaver, the issue is the same, but the background corresponds to the static screensaver image.  I.e. the screensaver is "stopped".
Comment 2 Skippy 2010-12-19 08:27:52 EST
This report is probably a duplicate of bug 660168 and bug 660563, although I did not notice the "upper left rectangle" and my few attempts to log in anyway failed.  For this reason I don't mark this as duplicate yet, I will wait for being able to check this, in two weeks.
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 11:59:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2012-08-16 16:18:56 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.